﻿/*
 * ##############################################
 * Calculation Objects
 * This is the part that gives info about Object
 * (Length, Stringrepresentation, etc.) and 
 * turns the Calculation-string into CalcElements
 * In other words its the CalcString abstraction layer.
 * Main part of the QuickCalculator
 * ##############################################
 * 
 * You may copy and distribute this code and the 
 * whole program as you want.
 * This code is not meant to be sold.
 * 
 * Written by Philipp Erler
 * Contact me for feedback, new version or other causes:
 * ph.erler@gmx.net
 * 
 * Version info:
 * Last change: 2012 | 05 | 02
 * .net-Framework: V. 4.0
 * 
 */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CalculationE
{
    static class CalcGlobals
    {
        //Version number (.net stuff does not work with mono)
        public const string QCALCVERSION = "1.0.1.0";

        //random numbers
        static public Random Randoms = new Random();

        public const char ESCAPE_CHAR = '\\';                   // \
        public const string COMMENT = "//";                     // //
        public const string SCRIPT_STARTER = "#";               // Script commands begin with this character

        #region Predefined_Constants
        //constants from http://www.wolframalpha.com/, http://de.wikipedia.org/wiki/Wikipedia:Hauptseite, http://oeis.org/ and http://physics.nist.gov/cuu/Constants
        public const double PI = 3.1415926535897932384626433832795;
        public const double Phi = 1.6180339887498948482045868343;
        public const double Euler = 2.718281828459045;
        public const double GravEarth = 9.80665;                        //gravity on earth      in m/s²
        public const double Grav = 6.67E-11;                            //gravity constant      in m³/(kg*s²)
        public const double LightSpeed = 299792458;                     //light speed in vacuum in m/s
        public const double ElField = 8.854187817620389850536E-12;      //e field const         in F/m
        public const double EulerMascharoni = 0.5772156649015328606;    //euler mascharoni const
        public const double MagField = 1.256637061435917295385057E-6;   //magnetic field const  in H/m
        public const double ElecCharge = -1.602177E-19;                 //elementary charge     in C
        //TODO: mol | check grav, elfield, magfield, elemcharge
        #endregion

    }
}
